<dx-data-grid class="gridContainer box-shadow" #gridGenerate [dataSource]='dsGenerate' [columnAutoWidth]='true'
    [allowColumnReordering]='true' [rowAlternationEnabled]='ui.rowAlternationEnabled' [showColumnLines]='ui.showColumnLines'
    [showRowLines]='ui.showRowLines' [allowColumnResizing]='true' [columnHidingEnabled]='ui.columnHidingEnabled'
    (onToolbarPreparing)='toolbarPreparing($event)' [height]='ui.fullHeight'>
    <dxo-export [enabled]='true' [enabled]='true' fileName='Deșeuri_generate'></dxo-export>
    <dxo-header-filter [visible]='true'></dxo-header-filter>
    <dxo-group-panel [visible]='true'></dxo-group-panel>
    <dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='true'></dxo-scrolling>
    <dxo-search-panel [visible]='true'></dxo-search-panel>
    <dxo-state-storing [enabled]="true" type="localStorage" storageKey="qhseGenerate"></dxo-state-storing>
    <dxo-filter-row [visible]='true'></dxo-filter-row>
    <dxo-column-chooser [enabled]="true" mode='dragAndDrop'></dxo-column-chooser>
    <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
    <dxo-remote-operations [sorting]="true" [paging]="true" [filtering]="true"></dxo-remote-operations>

    <dxi-column type="buttons" [width]='170' fixedPosition='left' [fixed]='true' [allowResizing]='false'
        [showInColumnChooser]='false'>
        <dxi-button hint='Trasport' icon='car' [onClick]="onAddTrasportClick"></dxi-button>
        <dxi-button hint='Transfer' icon='redo' [onClick]="onTransferClick"></dxi-button>
        <dxi-button hint='Editează' icon="edit" [onClick]="onEditGenerateClick"></dxi-button>
        <dxi-button hint='Șterge' icon='trash' [onClick]="onDeleteGenerateClick"></dxi-button>
    </dxi-column>

    <dxi-column [caption]='ds.lg.format("ENTITY")' dataField='ent_name' dataType='string' minWidth='130'></dxi-column>
    <dxi-column [caption]='ds.lg.format("WORKSTATION")' dataField='wc_name' dataType='string' minWidth='150'>
    </dxi-column>
    <dxi-column [caption]='ds.lg.format("WASTE CODE")' dataField='wt_code' dataType='string' [width]='120'></dxi-column>
    <dxi-column [caption]='ds.lg.format("PHYSICAL STATE")' dataField='wt_physicalCondition' dataType='string' [width]='100' minWidth='100'
        [allowFiltering]='false' [allowHeaderFiltering]='true'>
        <dxo-lookup [dataSource]='ds.physicalCondition' valueExpr='id' displayExpr='value'> </dxo-lookup>
    </dxi-column>
    <dxi-column [caption]='ds.lg.format("U")' dataField='wt_uom' dataType='number' [width]='70' minWidth='70' [allowFiltering]='false'
        [allowHeaderFiltering]='true'>
        <dxo-lookup [dataSource]='ds.uom' valueExpr='id' displayExpr='value'> </dxo-lookup>
    </dxi-column>
    <dxi-column [caption]='ds.lg.format("AMOUNT")' dataField='g_quantity' alignment='left' dataType='number' [width]='120' [allowHeaderFiltering]='false'></dxi-column>
    <dxi-column [caption]='ds.lg.format("OPERATION DATE")' dataField='g_date' dataType='date' [width]='120' calculateSortValue='g_date'
        [calculateDisplayValue]='ds.getDate'></dxi-column>
    <dxi-column [caption]='ds.lg.format("EVALUATION")' dataField='g_estimated' dateType='boolean' [width]='100' minWidth='100'
        [allowFiltering]='false' [allowHeaderFiltering]='true'>
        <dxo-lookup [dataSource]='ds.evaluationBool' valueExpr='id' displayExpr='value'> </dxo-lookup>
    </dxi-column>
    <dxi-column [caption]='ds.lg.format("SOURCE")' dataField='g_source' dateType='number' minWidth='100' [width]='100' [allowFiltering]='false'
        [allowHeaderFiltering]='true'>
        <dxo-lookup [dataSource]='ds.source' valueExpr='id' displayExpr='value'> </dxo-lookup>
    </dxi-column>
    <dxi-column [caption]='ds.lg.format("STORAGE TYPE")' dataField='wtp_storageTypeId' dataType='string' minWidth='100' [width]='100'
        [allowFiltering]='false' [allowHeaderFiltering]='true'>
        <dxo-lookup [dataSource]='dsStorageType' valueExpr='id' [displayExpr]='ds.enumDisplay'> </dxo-lookup>
    </dxi-column>
    <dxi-column [caption]='ds.lg.format("MADE BY")' dataField='ti_createdBy' dataType='string' [width]='120'></dxi-column>
    <dxi-column [caption]='ds.lg.format("MODIFIED BY")' dataField='ti_modifiedBy' dataType='string' [width]='120'></dxi-column>
    <dxi-column [caption]='ds.lg.format("CREATION DATE")' dataField='ti_created' dataType='datetime' [width]='150' calculateSortValue='ti_created'
        [calculateDisplayValue]='ds.getDateTime'></dxi-column>
    <dxi-column [caption]='ds.lg.format("LAST MODIFIED")' dataField='ti_modified' dataType='datetime' [width]='150'
        calculateSortValue='ti_modified' [calculateDisplayValue]='ds.getDateTime'></dxi-column>
</dx-data-grid>
